all:
  dense:
  deepfried:
  deepstrom_no_gamma:
  deepstrom_gamma:

base:
  epoch_numbers: {"-e": [200]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(1)"}
  quiet: ["-q"]
  dataset: ["--mnist", "--cifar10", "--svhn"]

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [16, 64, 128, 1024]}

gamma:
  gamma: {"-g": [0.001, 0.005, 0.01, 0.05, 0.1]}

deepfried:
  network: ["deepfriedconvnet"]
  base:
  gamma:
  nbstacks: {"-N": [1]}

deepstrom:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [16]}

deepstrom_no_gamma:
  deepstrom:
  kernel: ["-C", "-L"]

deepstrom_gamma:
  deepstrom:
  gamma:
  kernel: ["-R"]